
Redmine - Defect #34178

no redirect after login

2020-10-28 11:03 - Marco Reuchlin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.1.1

Description

I am seeing issues with redirects after login. When I go to an issue URL while logged out I expect to be redirected to the issue after

logging in. I'm seeing this on.

Steps to reproduce:

log out

go to /issues/12345

I get redirected to /https://XXX/login?back_url=https%3A%2F%2FXXX%2F

log in

I get redirected to /my/page

expecting to be /issues/12345

newest Version of Chrome/Firefox

Environment:

Redmine version 4.1.1.stable

Ruby version 2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version 5.2.4.2

Environment production

Database adapter Mysql2

Mailer queue ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery smtp

SCM:

Git 2.20.1

Filesystem

Xitolite 2.20.1

Redmine plugins:

additionals 2.0.24

bestest_timer 1.2.0

hide_journal_details 0.0.2

redmine_agile 1.5.4

redmine_bootstrap_kit 0.2-devel

redmine_checklists 3.1.18

redmine_ckeditor 1.2.3

redmine_default_custom_query 1.5.0

redmine_dmsf 2.4.4

redmine_git_hosting 4.0.2

redmine_impersonate 2.0.0

redmine_ldap_sync 2.2.0

redmine_lightbox2 0.5.1

redmine_local_avatars 1.0.5.2.0

redmine_smile_togglesidebar 1.0.7

redmine_xapian 2.0.2

Thanks,

Marco

History

#1 - 2021-01-25 09:59 - Marco Reuchlin

Any news???
#2 - 2021-02-21 06:09 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as a duplicate of #32420.
